PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package containable
  Definition Classes
    serverobject
-  object Containable
  Definition Classes
    containable
- CanNotPutItemInSlot
- ItemFromSlot
- ItemPutInSlot
- MoveItem
- PutItemAway
- PutItemInSlot
- PutItemInSlotOnly
- PutItemInSlotOrAway
- RemoveItemFromSlot

c

net.psforever.objects.serverobject.containable.Containable

# MoveItem

###

#### final case class MoveItem(destination: PlanetSideServerObject with Container, item: Equipment, destination_slot: Int) extends DeferrableMsg with Product with Serializable

The item should already be contained by us. The item is being removed from our containment and placed into a fixed slot position in another container. `MoveItem` is a process that may be complicated and is one reason why `DeferrableMsg`s are employed.

destination

  the container into which the item is being placed

item

  the item

destination_slot

  where in the destination container the item is being placed

Source
  ContainableBehavior.scala

Linear Supertypes
Serializable, Product, Equals, DeferrableMsg, ContainableMsg, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MoveItem
2. Serializable
3. Product
4. Equals
5. DeferrableMsg
6. ContainableMsg
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new MoveItem(destination: PlanetSideServerObject with Container, item: Equipment, destination_slot: Int)

   destination

     the container into which the item is being placed

   item

     the item

   destination_slot

     where in the destination container the item is being placed

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  val destination: PlanetSideServerObject with Container
7.  val destination_slot: Int
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  val item: Equipment
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def productElementNames: Iterator[String]
    Definition Classes
      Product
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from DeferrableMsg

### Inherited from ContainableMsg

### Inherited from AnyRef

### Inherited from Any

### Ungrouped